Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1567578 - [abrt] evolution: gdk_x11_device_manager_xi2_translate_event(): evolution killed by SIGSEGV
Summary: [abrt] evolution: gdk_x11_device_manager_xi2_translate_event(): evolution kil...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: evolution
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Milan Crha
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:772c266eae25e7526e4637a3bde...
: 1589847 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-15 02:52 UTC by Louis van Dyk
Modified: 2019-05-28 20:37 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 20:37:28 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (174.89 KB, text/plain)
2018-04-15 02:52 UTC, Louis van Dyk
no flags Details
File: cgroup (386 bytes, text/plain)
2018-04-15 02:52 UTC, Louis van Dyk
no flags Details
File: core_backtrace (44.13 KB, text/plain)
2018-04-15 02:53 UTC, Louis van Dyk
no flags Details
File: cpuinfo (1.14 KB, text/plain)
2018-04-15 02:53 UTC, Louis van Dyk
no flags Details
File: dso_list (27.36 KB, text/plain)
2018-04-15 02:53 UTC, Louis van Dyk
no flags Details
File: environ (2.99 KB, text/plain)
2018-04-15 02:53 UTC, Louis van Dyk
no flags Details
File: exploitable (82 bytes, text/plain)
2018-04-15 02:53 UTC, Louis van Dyk
no flags Details
File: limits (1.29 KB, text/plain)
2018-04-15 02:53 UTC, Louis van Dyk
no flags Details
File: maps (136.20 KB, text/plain)
2018-04-15 02:53 UTC, Louis van Dyk
no flags Details
File: mountinfo (4.46 KB, text/plain)
2018-04-15 02:53 UTC, Louis van Dyk
no flags Details
File: open_fds (6.55 KB, text/plain)
2018-04-15 02:53 UTC, Louis van Dyk
no flags Details
File: proc_pid_status (1.30 KB, text/plain)
2018-04-15 02:53 UTC, Louis van Dyk
no flags Details
File: var_log_messages (258 bytes, text/plain)
2018-04-15 02:53 UTC, Louis van Dyk
no flags Details

Description Louis van Dyk 2018-04-15 02:52:50 UTC
Description of problem:
Evolution regularly just locks up my machine when reading messages - often when changing from one to the next.

Gnome-shell itself stops functioning thereafter, with only the mouse moving, but not screen updates.

Version-Release number of selected component:
evolution-3.26.6-1.fc27

Additional info:
reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        evolution
crash_function: gdk_x11_device_manager_xi2_translate_event
executable:     /usr/bin/evolution
journald_cursor: s=bb2d1908bfe74f409a4fe238589830c4;i=160df11;b=1942a9e6878c4625b00125fee0aeab67;m=34d6009c90;t=569d93b7e47c7;x=6ad72e5da83d8b9f
kernel:         4.15.10-200.fc26.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (6 frames)
 #0 gdk_x11_device_manager_xi2_translate_event at gdkdevicemanager-xi2.c:1711
 #1 _gdk_x11_event_translator_translate at gdkeventtranslator.c:51
 #2 gdk_event_source_translate_event at gdkeventsource.c:230
 #3 _gdk_x11_display_queue_events at gdkeventsource.c:341
 #4 gdk_display_get_event at gdkdisplay.c:438
 #10 gtk_main at gtkmain.c:1322

Comment 1 Louis van Dyk 2018-04-15 02:52:57 UTC
Created attachment 1422002 [details]
File: backtrace

Comment 2 Louis van Dyk 2018-04-15 02:52:59 UTC
Created attachment 1422003 [details]
File: cgroup

Comment 3 Louis van Dyk 2018-04-15 02:53:02 UTC
Created attachment 1422004 [details]
File: core_backtrace

Comment 4 Louis van Dyk 2018-04-15 02:53:04 UTC
Created attachment 1422005 [details]
File: cpuinfo

Comment 5 Louis van Dyk 2018-04-15 02:53:06 UTC
Created attachment 1422006 [details]
File: dso_list

Comment 6 Louis van Dyk 2018-04-15 02:53:08 UTC
Created attachment 1422007 [details]
File: environ

Comment 7 Louis van Dyk 2018-04-15 02:53:10 UTC
Created attachment 1422008 [details]
File: exploitable

Comment 8 Louis van Dyk 2018-04-15 02:53:12 UTC
Created attachment 1422009 [details]
File: limits

Comment 9 Louis van Dyk 2018-04-15 02:53:16 UTC
Created attachment 1422010 [details]
File: maps

Comment 10 Louis van Dyk 2018-04-15 02:53:18 UTC
Created attachment 1422011 [details]
File: mountinfo

Comment 11 Louis van Dyk 2018-04-15 02:53:21 UTC
Created attachment 1422012 [details]
File: open_fds

Comment 12 Louis van Dyk 2018-04-15 02:53:22 UTC
Created attachment 1422013 [details]
File: proc_pid_status

Comment 13 Louis van Dyk 2018-04-15 02:53:24 UTC
Created attachment 1422014 [details]
File: var_log_messages

Comment 14 Milan Crha 2018-06-12 07:19:31 UTC
*** Bug 1589847 has been marked as a duplicate of this bug. ***

Comment 15 Milan Crha 2018-06-12 07:25:41 UTC
Thanks for a bug report. According to the var_log_messages the passed-in device was incorrect, which can be due to ref-unref imbalance. I do not know whether it is, it just can be.

Comment 16 Milan Crha 2018-06-12 16:36:55 UTC
I searched through the evolution code base and I didn't find any ref/unref imbalance on the GdkDevice pointers. This can be caused by some other issues too, like a use-after-free when writing to a memory which is already freed, or freeing it twice, which can overwrite basically anything what is at that memory part now. That can strike basically anywhere.

Comment 17 Ben Cotton 2019-05-02 19:22:36 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 18 Ben Cotton 2019-05-02 21:35:49 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 19 Ben Cotton 2019-05-28 20:37:28 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.